% Mohammad Rezaei
% Date: 25.12.2015

% each row in matrix a is a different repeat
% the max value is selected from each row, and the index of the column that
% is repeated most, is the mode in output
% if several indexes are repeated the same number if times, there would be
% several modes in output

function modes_index = getAbsoluteMax(a, th)

m = length(a);
modes_index = [];

b = [];
v = max(a);
if v > th
    idx = find(abs(a-v)<0.001);
    b = [b idx];
end

modes_index = b;