% Generating uniform null reference of a dataset

datasetFilename = 'dim032.txt';
datasetFilename_null = 'dim032_null.txt';

fp = fopen(datasetFilename, 'rb');
% data = textscan(fp, '%d %d');
% data = cell2mat(data);

data = dlmread(datasetFilename); % it should work when data in n dimensional

fclose(fp);

[N d] = size(data);

mind = min(data);
maxd = max(data);

dataNull = zeros(N,d);
for i=1:d
    b = double(maxd(i)-mind(i));
    c = double(mind(i));
    dataNull(:, i) = rand(1,N)*b + c;
end

dataNull = int32(dataNull);
dlmwrite(datasetFilename_null , dataNull, 'delimiter','\t', 'precision', '%d');



